<?php

class Formatter
{
    function link_to($page, $action = "", $text = "") {
        global $script_name, $default_action;
        if (!$text) $text = $page;
        $page = urlencode($page);
        if (!$action) $action = $default_action;
        return "<a href=\"$script_name/$page?action=$action\">$text</a>";
    }
    function strong($t) { return "<strong>$t</strong>"; }
    function em($t) { return "<em>$t</em>"; }
    function del($t) { return "<del>$t</del>"; }
    function ins($t) { return "<ins>$t</ins>"; }
    function head($level, $t) { return "<h$level>$t</h$level>"; }
    function list_($flag) { return $flag ? "<ul>" : "</ul>"; }
    function list_item($t) { return "<li>$t</li>"; }
}

?>
