<?php

function macro_RecentChanges($count) {
    if (!$count) $count = 30;
    $changes = Wiki::getChanges($count);
    $changes_grouped_by_date = array();
    foreach ($changes as $change) {
        $key = date("Ymd", $change[0]);
        if (!isset($changes_grouped_by_date[$key]))
            $changes_grouped_by_date[$key] = array();
        $changes_grouped_by_date[$key][] = $change;
    }
    $str = '';
    foreach ($changes_grouped_by_date as $key => $changes) {
        $key = implode("-", array(substr($key, 0, 4), substr($key, 4, 2), substr($key, 6)));
        $str .= "<h3>$key</h3>";
        $str .= "<ul>";
        foreach ($changes as $change) {
            list($created_at, $page) = $change;
            $created_at = date("H:i:s", $created_at);
            if (!Parser::isWikiName($page)) $page = "[[$page]]";
            $str .= "<li>$page <small>($created_at)</small></li>";
        }
        $str .= "</ul>";
    }
    return $str;
}

function macro_TitleIndex() {
    $list = Wiki::getPageList();
    natsort($list);
    $str = "<ul>";
    foreach ($list as $page) {
        if (!Parser::isWikiName($page)) $page = "[[$page]]";
        $str .= "<li>$page</li>";
    }
    $str .= "</ul>";
    return $str;
}

?>
